Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.store
Interface Store

All Superinterfaces:
  ContentStore, LockStore, NodeStore, RevisionDescriptorsStore, RevisionDescriptorStore, SecurityStore, SequenceStore, Service, javax.transaction.xa.XAResource

All Known Implementing Classes:
  AbstractStore

public interface Store
extends ContentStore, LockStore, NodeStore, RevisionDescriptorStore, RevisionDescriptorsStore, SecurityStore, SequenceStore

Represents a store which is used by the Slide API to access data.

Version:
  $Revision: 1.12 $

Field Summary

Fields inherited from interface javax.transaction.xa.XAResource
`TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

Method Summary
`void` | `exclusiveTransientLock(java.lang.String uri)` Acquires an exclusive access lock to a resource.
`java.lang.String` | `getName()` Return the name of the store as specified in domain.xml.
`java.lang.Object` | `getParameter(java.lang.Object key)` Get parameter value for specified key
`void` | `setContentIndexer(IndexStore contentStore)` Set the contentIndex store associated with this store.
`void` | `setContentStore(ContentStore contentStore)` Set the content store associated with this store.
`void` | `setLockStore(LockStore lockStore)` Set the lock store associated with this store.
`void` | `setName(java.lang.String name)` Set the name of the store as specified in domain.xml.
`void` | `setNodeStore(NodeStore nodeStore)` Set the node store associated with this store.
`void` | `setPropertiesIndexer(IndexStore contentStore)` Set the descriptorIndex store associated with this store.
`void` | `setRevisionDescriptorsStore(RevisionDescriptorsStore revisionDescriptorsStore)` Set the revision descriptors store associated with this store.
`void` | `setRevisionDescriptorStore(RevisionDescriptorStore revisionDescriptorStore)` Set the revision descriptor store associated with this store.
`void` | `setScope(Scope scope)` Set the scope of the store as specified in domain.xml.
`void` | `setSecurityStore(SecurityStore securityStore)` Set the security store associated with this store.
`void` | `setSequenceStore(SequenceStore sequenceStore)` Sets the sequence store associated with this store.
`boolean` | `useBinding()` Returns true if binding is supported an enabled for this store

Methods inherited from interface org.apache.slide.store.ContentStore
`createRevisionContent, removeRevisionContent, retrieveRevisionContent, storeRevisionContent`

Methods inherited from interface org.apache.slide.common.Service
`cacheResults, connect, connect, connectIfNeeded, connectIfNeeded, disconnect, getLogger, initialize, isConnected, reset, setNamespace, setParameters`

Methods inherited from interface javax.transaction.xa.XAResource
`commit, end, forget, getTransactionTimeout, isSameRM, prepare, recover, rollback, setTransactionTimeout, start`

Methods inherited from interface org.apache.slide.store.LockStore
`enumerateLocks, killLock, putLock, removeLock, renewLock`

Methods inherited from interface org.apache.slide.store.NodeStore
`createObject, removeObject, retrieveObject, storeObject`

Methods inherited from interface org.apache.slide.store.RevisionDescriptorStore
`createRevisionDescriptor, removeRevisionDescriptor, retrieveRevisionDescriptor, storeRevisionDescriptor`

Methods inherited from interface org.apache.slide.store.RevisionDescriptorsStore
`createRevisionDescriptors, removeRevisionDescriptors, retrieveRevisionDescriptors, storeRevisionDescriptors`

Methods inherited from interface org.apache.slide.store.SecurityStore
`enumeratePermissions, grantPermission, revokePermission, revokePermissions`

Methods inherited from interface org.apache.slide.store.SequenceStore
`createSequence, isSequenceSupported, nextSequenceValue, sequenceExists`

Method Detail

### setScope

    public void setScope(Scope scope)

  Set the scope of the store as specified in domain.xml.

  Specified by:
    `setScope` in interface `Service`

### setName

    public void setName(java.lang.String name)

  Set the name of the store as specified in domain.xml.

### getName

    public java.lang.String getName()

  Return the name of the store as specified in domain.xml.

### getParameter

    public java.lang.Object getParameter(java.lang.Object key)

  Get parameter value for specified key

  Parameters:
    `key` - an Object
  Returns:
    an Object

### setNodeStore

    public void setNodeStore(NodeStore nodeStore)

  Set the node store associated with this store.

### setSecurityStore

    public void setSecurityStore(SecurityStore securityStore)

  Set the security store associated with this store.

### setLockStore

    public void setLockStore(LockStore lockStore)

  Set the lock store associated with this store.

### setRevisionDescriptorsStore

    public void setRevisionDescriptorsStore(RevisionDescriptorsStore revisionDescriptorsStore)

  Set the revision descriptors store associated with this store.

### setRevisionDescriptorStore

    public void setRevisionDescriptorStore(RevisionDescriptorStore revisionDescriptorStore)

  Set the revision descriptor store associated with this store.

### setContentStore

    public void setContentStore(ContentStore contentStore)

  Set the content store associated with this store.

### setPropertiesIndexer

    public void setPropertiesIndexer(IndexStore contentStore)

  Set the descriptorIndex store associated with this store.

### setContentIndexer

    public void setContentIndexer(IndexStore contentStore)

  Set the contentIndex store associated with this store.

### setSequenceStore

    public void setSequenceStore(SequenceStore sequenceStore)

  Sets the sequence store associated with this store.

### useBinding

    public boolean useBinding()

  Returns true if binding is supported an enabled for this store

### exclusiveTransientLock

    public void exclusiveTransientLock(java.lang.String uri)
                                throws ServiceAccessException

  Acquires an exclusive access lock to a resource. This lock is transient, i.e. it will automatically be released when your transaction terminates.

  Parameters:
    `uri` - the URI of the resource you want to have exclusive access to
  Throws:
    `ServiceAccessException` - thrown if anything goes wrong, including the lock can not be acquired

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD